Bug 242145 - databases/adminer: Need to update version and fix some bugs
Summary: databases/adminer: Need to update version and fix some bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-21 17:27 UTC by Vladislav V. Prodan
Modified: 2020-03-15 07:35 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
pkg-plist patch (242 bytes, patch)
2019-11-22 13:51 UTC, Vladislav V. Prodan
no flags Details | Diff
Makefile patch (415 bytes, patch)
2019-11-22 13:54 UTC, Vladislav V. Prodan
no flags Details | Diff
distinfo patch (436 bytes, patch)
2019-11-22 13:54 UTC, Vladislav V. Prodan
no flags Details | Diff
Patch as reporter (1.40 KB, patch)
2019-11-23 14:57 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
Patch for 4.7.6 (1.41 KB, patch)
2020-03-15 04:21 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladislav V. Prodan 2019-11-21 17:27:34 UTC
1) Need update varsion

Simple update to 4.7.5.
Changelog: https://sourceforge.net/p/adminer/news/

2) It is necessary to remove the adminer subdirectory so that the directory path is shorter - /usr/local/www/adminer

/usr/ports/databases/adminer# diff pkg-plist pkg-plist.old
4c4
< %%WWWDIR%%/index.php
---
> %%WWWDIR%%/adminer/index.php

3) Need to lower file permissions from 755 to 644.

/usr/ports/databases/adminer# diff pkg-plist pkg-plist.old
3,4c3,4
< @mode 0644
< %%WWWDIR%%/index.php
---
> @mode 0755
> %%WWWDIR%%/adminer/index.php
Comment 1 Zsolt Udvari 2019-11-22 12:09:21 UTC
(In reply to Vladislav V. Prodan from comment #0)
Thanks for reports!

Would you like create and upload a patchfile? If yes I'll wait :)
https://www.freebsd.org/doc/en_US.ISO8859-1/articles/problem-reports/article.html#pr-writing-attaching-patches
Comment 2 Vladislav V. Prodan 2019-11-22 13:51:46 UTC
Created attachment 209337 [details]
pkg-plist patch
Comment 3 Vladislav V. Prodan 2019-11-22 13:54:13 UTC
Created attachment 209339 [details]
Makefile patch
Comment 4 Vladislav V. Prodan 2019-11-22 13:54:40 UTC
Created attachment 209340 [details]
distinfo patch
Comment 5 Vladislav V. Prodan 2019-11-22 14:01:29 UTC
It seems that I did the wrong patch files and you can’t delete them from PR ...
Comment 6 Zsolt Udvari 2019-11-22 15:16:24 UTC
(In reply to Vladislav V. Prodan from comment #5)
You should merge them into one file (the "diff" and "svn diff" can handle directory too so the "diff /usr/ports/databases/adminer{,.old}" should enough - the "svn diff /usr/ports/databases/adminer" would be simplier :) ).

If you upload new file you can mark some old uploaded file as "Obsolote".
Comment 7 Vladislav V. Prodan 2019-11-22 21:17:24 UTC
Thank you for the recommendations, but these techniques are too long and resource-intensive in comparison with the constant use of portsnap auto.
I hope you can make it easier to create patches for ports.
Comment 8 Zsolt Udvari 2019-11-23 14:57:45 UTC
Created attachment 209361 [details]
Patch as reporter

This patch fixes:
- update to 4.7.5
- change location (remove duplicated 'adminer')
- correct mode
Comment 9 Zsolt Udvari 2019-11-23 14:58:53 UTC
Comment on attachment 209337 [details]
pkg-plist patch

My patch obsolote this.
Comment 10 Vladislav V. Prodan 2019-12-13 18:52:08 UTC
Up.
Comment 11 Wen Heping freebsd_committer 2020-02-29 15:11:46 UTC
(In reply to Zsolt Udvari from comment #8)
4.7.6 released  :)

wen
Comment 12 Tobias C. Berner freebsd_committer 2020-03-08 16:23:16 UTC
Moin moin 

You should probably use INSTALL_DATA [1] instead of CP.

mfg Tobias

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/install.html
Comment 13 Zsolt Udvari 2020-03-15 04:21:38 UTC
Created attachment 212421 [details]
Patch for 4.7.6

- update to 4.7.6
- lower permissions
- CP -> INSTALL_DATA
- simplify install directory (adminer/adminer -> adminer/)
Comment 14 commit-hook freebsd_committer 2020-03-15 07:34:52 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar 15 07:34:34 UTC 2020
New revision: 528473
URL: https://svnweb.freebsd.org/changeset/ports/528473

Log:
  databases/adminer: update to 4.7.6

  - update to 4.7.6
  - lower permissions
  - CP -> INSTALL_DATA
  - simplify install directory (adminer/adminer -> adminer/)

  PR:		242145
  Submitted by:	Zsolt Udvari  <uzsolt@uzsolt.hu> (maintainer)
  Reported by:	Vladislav V. Prodan <admin@support.od.ua>

Changes:
  head/databases/adminer/Makefile
  head/databases/adminer/distinfo
  head/databases/adminer/pkg-plist
Comment 15 Tobias C. Berner freebsd_committer 2020-03-15 07:35:37 UTC
Committed. Thanks.